<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <ui:decorate template="/prov_info_cons/_filterTemplate.xhtml">
        <ui:param name="assertion" value="#{assertion}"/>
        <ui:param name="currentRequest" value="#{currentReq}"/>
        <ui:param name="parent" value="#{parent}"/>
        <ui:define name="assertionDetails">
            <s:div styleClass="row" id="assertionGrid">
                <div class="col-lg-3">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="attrName"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.hpd.AttributeName']}</ui:define>
                        <rich:autocomplete mode="client"
                                           autocompleteList="#{currentReq.getAvailableAttributeTypes()}"
                                           value="#{assertion.attributeValueAssertion.name}" minChars="1" autofill="false" selectFirst="false"
                                           required="true" id="attrName"
                                           requiredMessage="The name of the attribute is required" layout="list"/>
                    </s:decorate>
                </div>
                <div class="col-lg-1">
                    <br/><br/>
                    <h:outputText value="#{assertion.filterType.assertionTypeSign}" style="vertical-align: bottom;"/>
                </div>
                <div class="col-lg-7 col-lg-offset-1">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="valueIn"/>
                        <ui:define name="label">Value</ui:define>
                        <h:inputText value="#{assertion.attributeValueAssertion.value}" required="true" requiredMessage="A value is required"
                                     styleClass="form-control" id="valueIn"/>
                    </s:decorate>
                </div>
            </s:div>
        </ui:define>
    </ui:decorate>
</ui:composition>
